local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	L[" "]= " ";
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "deDE" then
	-- German translations go here
	L[" When:"] = " Wann:";			
	L[" Where:"] = " Wo:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" "] = " Uhr";			-- TIMEMANAGER_TITLE
	L[" What:"] = " Was:";
	L["Achievement"] = "Erfolg"			-- TRANSMOG_SOURCE_5
	L["Transmogification"] = "Transmogrifikation"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<Rechtsklick> für Vorschau"
	L["<Left Click> for collection"] = "<Linksklick> für Sammlung"
	L[" show me everything"] = " zeige allen Krempel"
	L["|cFFff4040Click|r to open log"] = "|cFFff4040Klicken,|r um Recent zu öffnen"
return end


if LOCALE == "ruRU" then
	-- russian translations go here
	L[" When:"] = " Когда:";  
	L[" Where:"] = " Где:";
	L[" What:"] = " Что:";
	L["Achievement"] = "Достижение"
	L["Transmogification"] = "Трансмогрификация"
	L["<Right Click> for preview"] = "<Правый клик> для Предварительный просмотр"
	L["<Left Click> for collection"] = "<Левый клик> для коллекция"
return end


if LOCALE == "esES" then
	-- spanish translations go here
	L[" When:"] = " cuándo:";			
	L[" Where:"] = " donde:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" What:"] = " qué:";
	L["Achievement"] = "éxito"			-- TRANSMOG_SOURCE_5
	L["Transmogification"] = "transmogrificación"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<clic derecho> para vista previa"
	L["<Left Click> for collection"] = "<clic izquierdo> para colección"
	L["|cFFff4040Click|r to open log"] = "|cFFff4040clic|r para recent"	
return end

if LOCALE == "frFR" then
	-- french translations go here
	L[" When:"] = " quand:";			
	L[" Where:"] = " où:";		-- SPLASH_BOOST_FEATURE1_TITLE
	L[" "] = " h";			-- TIMEMANAGER_TITLE
	L[" What:"] = " ce qui:";
	L["Achievement"] = "succès"			-- TRANSMOG_SOURCE_5
	L["Transmogification"] = "transmogrification"		--SPLASH_LEGION_NEW_7_2_FEATURE2_TITLE
	L["<Right Click> for preview"] = "<clic droit> pour aperçu"
	L["<Left Click> for collection"] = "<clic gauche> pour collection"
	L["|cFFff4040Click|r to open log"] = "|cFFff4040clic|r pour recent"
return end